# Implementation

Customers in EdgeTag go through 4 steps:

* [Adding a website](/api/getting-started/implementation/website.md)
* [Setting up DNS records](/api/getting-started/implementation/dns.md)
* [Enabling consent](/api/getting-started/implementation/consent.md)
* [Adding channel](/api/getting-started/implementation/channel.md)

Completing all five steps enables you to get up and running on the EdgeTag platform, but this is just the beginning. We have many more exciting features to explore on our use cases pages.  After you have completed the API setup, it's essential to add a snippet to the website that will start collecting signals.

But let's do the basics first. Let's add your first website.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.edgetag.io/api/getting-started/implementation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
